List event registration details
GET
/api/events/{eventid}/registrations
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registrations"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registrations';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registrations \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”eventid
required
string format: uuid
The event identifier.
Query Parameters
Section titled “Query Parameters”registrationtypeid
string format: uuid
The optional registration type identifier.
Responses
Section titled “Responses”OK
Array<object>
object
eventId
string format: uuid
detailsId
string format: uuid
registrationTypeId
string format: uuid
registration
object
id
string format: uuid
allowTicketSelection
boolean
hasTicket
boolean
preAllocated
boolean
minTickets
null | integer | string format: int32
maxTickets
null | integer | string format: int32
name
null | string
description
null | string
itemOrder
integer | string format: int32
minutesAllowedInCart
null | integer | string format: int32
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
requireRegistrationCode
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
settings
object
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
closeDate
null | string format: date-time
price
null | integer | string format: int32
currency
null | string
isLocked
boolean
isTransferrable
boolean
canCancel
boolean
canAutoRefund
boolean
cancelByDate
null | string format: date-time
autoRefundByDate
null | string format: date-time
openDate
null | string format: date-time
projectId
string format: uuid
publish
boolean
quantity
null | integer | string format: int32
registrationIsRequired
boolean
status
totalPaid
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
ticketTypes
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
displayName
null | string
displayDescription
null | string
publish
boolean
itemOrder
integer | string format: int32
price
null | integer | string format: int32
quantity
null | integer | string format: int32
currency
null | string
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
meta
null | object
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Array<object>
object
eventId
string format: uuid
detailsId
string format: uuid
registrationTypeId
string format: uuid
registration
object
id
string format: uuid
allowTicketSelection
boolean
hasTicket
boolean
preAllocated
boolean
minTickets
null | integer | string format: int32
maxTickets
null | integer | string format: int32
name
null | string
description
null | string
itemOrder
integer | string format: int32
minutesAllowedInCart
null | integer | string format: int32
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
requireRegistrationCode
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
settings
object
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
closeDate
null | string format: date-time
price
null | integer | string format: int32
currency
null | string
isLocked
boolean
isTransferrable
boolean
canCancel
boolean
canAutoRefund
boolean
cancelByDate
null | string format: date-time
autoRefundByDate
null | string format: date-time
openDate
null | string format: date-time
projectId
string format: uuid
publish
boolean
quantity
null | integer | string format: int32
registrationIsRequired
boolean
status
totalPaid
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
ticketTypes
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
displayName
null | string
displayDescription
null | string
publish
boolean
itemOrder
integer | string format: int32
price
null | integer | string format: int32
quantity
null | integer | string format: int32
currency
null | string
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
meta
null | object
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
[ { "settings": { "status": "NotAvailable" } }]Array<object>
object
eventId
string format: uuid
detailsId
string format: uuid
registrationTypeId
string format: uuid
registration
object
id
string format: uuid
allowTicketSelection
boolean
hasTicket
boolean
preAllocated
boolean
minTickets
null | integer | string format: int32
maxTickets
null | integer | string format: int32
name
null | string
description
null | string
itemOrder
integer | string format: int32
minutesAllowedInCart
null | integer | string format: int32
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
requireRegistrationCode
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
settings
object
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
closeDate
null | string format: date-time
price
null | integer | string format: int32
currency
null | string
isLocked
boolean
isTransferrable
boolean
canCancel
boolean
canAutoRefund
boolean
cancelByDate
null | string format: date-time
autoRefundByDate
null | string format: date-time
openDate
null | string format: date-time
projectId
string format: uuid
publish
boolean
quantity
null | integer | string format: int32
registrationIsRequired
boolean
status
totalPaid
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
ticketTypes
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
registrationTypeId
string format: uuid
organizationId
null | string format: uuid
name
null | string
description
null | string
displayName
null | string
displayDescription
null | string
publish
boolean
itemOrder
integer | string format: int32
price
null | integer | string format: int32
quantity
null | integer | string format: int32
currency
null | string
numberReserved
null | integer | string format: int32
numberRemaining
null | integer | string format: int32
numberUsed
null | integer | string format: int32
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
meta
null | object
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
Example
[ { "settings": { "status": "NotAvailable" } }]Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}